import React, { useState } from "react";
import { Navigate } from "react-router-dom";
import { IOCCreateDialog } from "../IOCCreateDialog";

// Process component
export function CreateIOC({ open, setOpen, submitCallback, hook }) {
  function onError(message) {
    setError(message);
  }

  const [ioc, action] = hook(onError);
  const [error, setError] = useState();

  if (!ioc) {
    return (
      <IOCCreateDialog
        open={open}
        setOpen={setOpen}
        submitCallback={action}
        error={error}
        resetError={() => setError(null)}
      />
    );
  } else {
    submitCallback(); // This works but throws a warning because I am changing state in the parent while the child is rerendering. Not sure yet how to fix.
    return (
      <Navigate
        to={`/iocs/${ioc.id}`}
        push
      />
    );
  }
}
