import {
  Accordion,
  AccordionDetails,
  AccordionSummary,
  Container,
  Typography
} from "@material-ui/core";
import { ExpandMore } from "@material-ui/icons";
import React from "react";

export function SimpleAccordion({ summary, children, ...rest }) {
  if (typeof summary === "string") {
    summary = (
      <Container>
        <Typography variant="h6">{summary}</Typography>
      </Container>
    );
  }

  if (typeof children === "string") {
    children = (
      <Container>
        <Typography>{children}</Typography>
      </Container>
    );
  }

  return (
    <Accordion {...rest}>
      <AccordionSummary expandIcon={<ExpandMore />}>{summary}</AccordionSummary>
      <AccordionDetails>{children}</AccordionDetails>
    </Accordion>
  );
}
