import React from "react";
import {
  Person,
  ScheduleOutlined,
  RotateRightOutlined,
  CheckCircleOutline
} from "@material-ui/icons";
import { StepperWithStyle } from "../common/stepper/StepperWithStyle";

export function DeploymentStepper(props) {
  let { activeStep, deploymentStart, jobDetails } = props;

  const icons = {
    1: <Person />,
    2: <ScheduleOutlined />,
    3: <RotateRightOutlined />,
    4: <CheckCircleOutline />
  };

  const steps = [
    "Creating " + jobDetails?.typeLabel(),
    jobDetails?.typeLabel() + " Queued ",
    "Running " + jobDetails?.typeLabel(),
    jobDetails?.typeLabel() + " Completed"
  ];

  const isStepFailed = (step) => {
    if (jobDetails?.status() === "failed") {
      return step === activeStep;
    }
    return false;
  };

  if (jobDetails?.status() === "failed") {
    activeStep = deploymentStart ? 2 : 1;
  }

  activeStep = activeStep === 3 ? 4 : activeStep;

  return (
    <StepperWithStyle
      steps={steps}
      activeStep={activeStep}
      isStepFailed={isStepFailed}
      icons={icons}
    />
  );
}
