import { Tooltip, useTheme } from "@material-ui/core";
import { Brightness1, ErrorOutline, HelpOutline } from "@material-ui/icons";
import React from "react";

export function HostStatusIcon({ host }) {
  const theme = useTheme();

  const statusBulbColors = {
    available: theme.palette.status.ok,
    unreachable: theme.palette.status.fail,
    null: theme.palette.text.disabled
  };

  const statusBulbIcons = {
    available: (
      <Tooltip title="Available">
        <Brightness1 />
      </Tooltip>
    ),
    unreachable: (
      <Tooltip title="Unreachable">
        <ErrorOutline />
      </Tooltip>
    ),
    null: (
      <Tooltip title="Unknown">
        <HelpOutline />
      </Tooltip>
    )
  };

  let state = host.status ? host.status.toLowerCase() : null;

  const iconStyle = { fill: statusBulbColors[state] };
  const icon = React.cloneElement(statusBulbIcons[state], { style: iconStyle });

  return icon;
}
